<jsp:directive.page pageEncoding="UTF-8" />
<!-- 英語名称の数値の前のスペース削除 -->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}">
	select SYSTEM_ID,CLM,LANG,UNIQ,
			LNAME AS BEFORE,'{@ARROW}',
			substr( LNAME,0,instr(LNAME, ' ',-1 )-1 ) || substr( LNAME,instr(LNAME, ' ',-1 )+1 ) AS AFTER
	from  GEA08
	where SYSTEM_ID = '{@SYSTEM_ID}'
	and   LANG      = 'en'
	and   FGJ       = '1'
	and   LNAME like '% %'
	and   substr( LNAME,instr(LNAME, ' ',-1 )+1,1) BETWEEN '0' and '9'
	order by SYSTEM_ID,CLM,LANG
</og:query>

<og:value key="lblKey" value="C" />

<og:hidden name="SQL">
	UPDATE GEA08 SET
			LNAME     = [AFTER],
			DYUPD     = '{@USER.YMDH}',
			USRUPD    = '{@USER.ID}',
			PGUPD     = '{@GUI.KEY}'
	WHERE UNIQ      = [UNIQ]
	AND   SYSTEM_ID = [SYSTEM_ID]
	AND   LANG      = [LANG]
	AND   CLM       = [CLM]
</og:hidden>



